# MelonVault by GreasedScotsman - Installation Guide

Melon Vault is too large to be uploaded to Thunderstore.io.  It can be downloaded here:
https://drive.google.com/file/d/1Wum16SrE-5cR-GRU5XmwCPNB0Pj3hZn7/view?usp=sharing

## Video Install Guide:
https://www.youtube.com/watch?v=eRzu8FkHoug

The map is releasing in a Public Beta mode as I'm sure issues will arise and will need fixing.  If you run into a problem, please report it in a DM to GreasedScotsman on the unofficial Boneworks Discord, found here: 

https://discord.gg/SpRu2nkD2B

This map **REQUIRES** the included non-public versions of CustomMapInteractions and PlayerModels mods.  
The included versions of ModThatIsNotMod, its BackwardsCompatibilityPlugin.dll, CustomMaps are also required.  Though newer versions of these mods may work, it is highly recommended to back up your current Mods installation and only use what is provided in the Melon Vault zip in order to avoid compatibility issues.

If you use mods that are not included in the release zip file or use mods that are different versions than what was tested for this map's release, you use them at your own risk and may encounter unexpected issues.  *The majority of performance and functionality issues from Beta 1 stemmed from incompatible or outdated mod installations.* Playtesters also found a few mods that caused problems with the map, like Grenades and BetterDualWielding, that would activate triggers early or cause oddities with player models.  Super Strength is not recommended on your first playthrough.

Install Instructions:

To install Melon Vault, extract the MelonVaultPublicBeta2-ExtractMe.zip file into your BONEWORKS game folder, being sure to keep the folder structure intact.

Do not give yourself ammo or weapons, as they will be supplied throughout the map.  Slow-mo is diabled on purpose as a game mechanic and will be returned to the player during gameplay.

Alternative Manual Install (not recommended):

- Place the CustomMapInteractions, CustomMaps, ModThatIsNotMod and Playermodels .dll files into your BONEWORKS\Mods folder
- Place the BackwardsCompatibilityPlugin.dll file into your BONEWORKS\Plugins folder
- Place all .melon files into your BONEWORKS\UserData\CustomItems folder
- Place the melonvault.bcm file into your BONEWORKS\UserData\CustomMaps folder

Acknowledgements:

- TabloidA - Environmental and UI art, NPC and map idea discussions, crazy Discord game sound effects and a little website called BoneTome.com.
- Maranara - Environmental art, the CustomMapTemplate and map idea discussions, and of course, Hall of Egress, which sparked this mapping journey
- SomeoneSomewhere - Shader assistance
- YeOldWarChap - Custom Items SDK and general awesomeness
- trevtv - Original work on the CustomMapItemSpawner that sent me down the modding rabbit hole
- Tomme150 - Amazing guns 
- Naeqirelle - Incredible guns
- Chromium - Being Chromium


Special thanks to the Melon Vault Playtesters:

- adamdev
- alecpizz
- baldrickk
- camobiwon
- chromium
- cyanide
- Dog
- georgee
- mario
- savage ogre
- someone somewhere
- tomme150
- wnp78
- yeoldwarchap

Thank you to everyone in the Boneworks Modding community for your help, discussions and determination to add new flavors and imagination to Boneworks.